Bug 967204 - [abrt] PackageKit-yum-0.8.7-1.fc18: lookdict_string: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] PackageKit-yum-0.8.7-1.fc18: lookdict_string: Process /usr/bin/python2...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:a60f827935dd15cf2ab73542df0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 09:08 EDT by Paul Lipps
Modified: 2014-02-05 16:32 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:32:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.62 KB, text/plain)
2013-05-25 09:08 EDT, Paul Lipps
no flags Details
File: cgroup (154 bytes, text/plain)
2013-05-25 09:08 EDT, Paul Lipps
no flags Details
File: core_backtrace (3.55 KB, text/plain)
2013-05-25 09:08 EDT, Paul Lipps
no flags Details
File: dso_list (10.40 KB, text/plain)
2013-05-25 09:08 EDT, Paul Lipps
no flags Details
File: environ (55 bytes, text/plain)
2013-05-25 09:08 EDT, Paul Lipps
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-25 09:08 EDT, Paul Lipps
no flags Details
File: maps (49.15 KB, text/plain)
2013-05-25 09:08 EDT, Paul Lipps
no flags Details
File: open_fds (1.31 KB, text/plain)
2013-05-25 09:09 EDT, Paul Lipps
no flags Details
File: proc_pid_status (907 bytes, text/plain)
2013-05-25 09:09 EDT, Paul Lipps
no flags Details
File: var_log_messages (315 bytes, text/plain)
2013-05-25 09:09 EDT, Paul Lipps
no flags Details

  None (edit)
Description Paul Lipps 2013-05-25 09:08:39 EDT
Description of problem:
This error was generated on a fresh boot and login. I assume PackageKit started on it own to check for new updates and somehow crashed.

Version-Release number of selected component:
PackageKit-yum-0.8.7-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/PackageKit/helpers/yum/yumBackend.py get-updates none
crash_function: lookdict_string
executable:     /usr/bin/python2.7
kernel:         3.9.2-200.fc18.x86_64
uid:            0
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 lookdict_string at /usr/src/debug/Python-2.7.3/Objects/dictobject.c:466
 #1 dict_subscript at /usr/src/debug/Python-2.7.3/Objects/dictobject.c:1160
 #2 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:1465
 #3 fast_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4184
 #4 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4119
 #5 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
 #6 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
 #7 fast_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4194
 #8 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4119
 #9 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
Comment 1 Paul Lipps 2013-05-25 09:08:43 EDT
Created attachment 753055 [details]
File: backtrace
Comment 2 Paul Lipps 2013-05-25 09:08:45 EDT
Created attachment 753056 [details]
File: cgroup
Comment 3 Paul Lipps 2013-05-25 09:08:48 EDT
Created attachment 753057 [details]
File: core_backtrace
Comment 4 Paul Lipps 2013-05-25 09:08:50 EDT
Created attachment 753058 [details]
File: dso_list
Comment 5 Paul Lipps 2013-05-25 09:08:53 EDT
Created attachment 753059 [details]
File: environ
Comment 6 Paul Lipps 2013-05-25 09:08:55 EDT
Created attachment 753060 [details]
File: limits
Comment 7 Paul Lipps 2013-05-25 09:08:58 EDT
Created attachment 753061 [details]
File: maps
Comment 8 Paul Lipps 2013-05-25 09:09:00 EDT
Created attachment 753062 [details]
File: open_fds
Comment 9 Paul Lipps 2013-05-25 09:09:03 EDT
Created attachment 753063 [details]
File: proc_pid_status
Comment 10 Paul Lipps 2013-05-25 09:09:05 EDT
Created attachment 753064 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 08:43:14 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 16:32:16 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.